@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

body {
    padding: 0px;
    margin: 0px;
}

main {
    background-color: #171A23;
}

nav {
    background-color: #20272F;
}

#navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 85%;
    margin: 0px auto;
    padding-top: 20px;
}

.burger {
    display: none;
}

.line {
    width: 25px;
    height: 3px;
    background-color: #E8E5E5;
    margin: 5px 0px;
    border-radius: 4px;
}

#logo img {
    height: 52.01px;
    width: 408.83px;
    padding-top: 22px;
}

#nav-items ul {
    display: flex;
}

ul li {
    list-style: none;
}

ul li a {
    padding-left: 38px;
    text-decoration: none;
    font-family: "Roboto";
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    color: #FFFFFF;
}

ul li a:hover {
    color: #09BB94;
    transition: 0.2s;
}

/* For Intro Section */
.forBgColor {
    background-color: #20272F;
}

.intro {
    display: flex;
    width: 75%;
    height: 550px;
    margin: 0px auto;
    align-items: center;
}

span {
    color: #09BB94;
}

.subHeading {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 36px;
    color: #E8E5E5;
}

.name {
    position: relative;
    animation: mymove 2s;
    /* animation-delay: 2s; */
}

@keyframes mymove {
    from {
        left: -440px;
    }

    to {
        left: 0px;
    }
}

.name h1 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 45px;
    color: #09BB94;
    margin-top: -4px;
}

.name p {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #E8E5E5;
    margin-top: -37px;
    letter-spacing: 0.3px;
}


.para {
    width: 80%;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 21px;
    color: #E8E5E5;
    margin-top: 25px;
}

.btn {
    height: 34px;
    width: 134px;
    border-radius: 7px;
    background: #09BB94;
    cursor: pointer;
    border: none;
    margin-top: 20px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: #FFFFFF;
}

.btn:hover {
    color: #20272F;
    transition: 0.2s ease-out;
}

.followLinks {
    display: flex;
    align-items: center;
    margin-top: 30px;
}

.followLinks h4 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #E8E5E5;
}

.followLinks i {
    margin: 0px 12px;
    color: #E8E5E5;
    cursor: pointer;
}

.followLinks i:hover {
    color: #09BB94;
    transition: 0.2s ease-out;
}

.secondSection {
    width: 75%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px auto 0px auto;
    height: 300px;
}

.who {
    width: 50%;
}

.bold {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    color: #E8E5E5;
}

.who h3 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    color: #E8E5E5;
}

.who h4 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    margin-top: -24px;
    color: #E8E5E5;
}

.who p {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #E8E5E5;
}

.imgUBIT img {
    width: 371px;
    height: 178px
}

.services {
    width: 75%;
    margin: 0px auto 0px auto;
}

.myServices {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    color: #E8E5E5;
    margin: -12px 0px 36px 0px;
}

.serviceIntro {
    display: flex;
    justify-content: space-between;
}

.servicesBox {
    height: 300px;
    width: 32%;
    background: #20272F;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.servicesBox h2 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 17px;
    color: #E8E5E5;
}

.servicesBox img {
    width: 92.01px;
    height: 70.01px;
}

.webService img {
    width: 120px;
    height: 70px;
}

.servicesBox p {
    font-family: 'Poppins';
    font-style: normal;
    line-height: 100%;
    font-weight: 300;
    text-align: center;
    padding: 9px;
    font-size: 13px;
    line-height: 18px;
    color: #E8E5E5;
}

.projectSection {
    width: 75%;
    margin: 70px auto;
}

.center {
    text-align: center;
}

.projectHeading p {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    width: 90%;
    margin: auto;
    font-size: 14px;
    line-height: 21px;
    color: #E8E5E5;
}

.uiuxProjects {
    display: flex;
    margin: 40px 0px;
}

.Projects {
    width: 100%;
}

.Projects img {
    height: 250px;
    width: 96%;
    border-radius: 12px;
}

.forWidth {
    width: 23px;
}

.prjectDes {
    text-align: center;
    font-family: "poppins";
    font-size: 16px;
    color: #E8E5E5;
    font-weight: 400;
}

.remove {
    text-decoration: none;
}

#TEstimonials {
    display: flex;
}

.testimonialSection {
    width: 75%;
    margin: 0px auto 80px auto;
}

.clientHeading {
    margin-top: -20px;
}

.colorBg {
    height: auto;
    width: 32%;
    background: #20272F;
    border-radius: 12px;
    align-items: center;
    margin-right: 12px;
    justify-content: center;
    padding: 20px;
}


.name2 {
    display: flex;
    align-items: center;

}

.name2 h4 {
    padding-left: 15px;
    font-family: 'Poppins';
    font-weight: 500;
    font-size: 13px;
    color: #E8E5E5;
}

.userIcon img {
    height: 45px;
    width: 45px;
    border-radius: 100px;
    background-color: #20272F;
}

.colorBg p {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    font-size: 13px;
    /* line-height: 15px; */
    color: #E8E5E5;
}

footer {
    width: 100%;
    height: 380px;
    background: linear-gradient(180deg, #171A23 0%, #20272F 1.91%, #09BB94 381.3%);
}

.foot {
    width: 75%;
    display: flex;
    justify-content: space-between;
    margin: 0px auto 0px auto;
}

footer h2 {
    padding-top: 30px;

}

#icons {
    display: flex;
    align-items: center;
}

#icons i {
    color: #E8E5E5;
}

#icons h3 {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    padding-left: 20px;
    color: #E8E5E5;
}

#icons a {
    text-decoration: none;
}

.socialIcons {
    margin-bottom: 10px;
}

.moreDetails {
    font-family: 'Poppins';
    /* font-style: normal; */
    margin-bottom: 32px;
    font-weight: 200;
    font-size: 16px;
    color: #E8E5E5;
}

.forMargin {
    margin-top: -4px;
}

.inputFromUser {
    margin-top: 12px;
}

.forMargin2 {
    margin-right: 0px;
    width: 30%;

}

#form {
    color: #E8E5E5;
    margin-top: 10px;
    font-family: 'poppins';
}

.forMargin2 h3 {
    margin-bottom: -8px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    color: #E8E5E5;
}

.inputFromUser input,
.inputFromUser textarea {
    height: 25px;
    background-color: rgb(183, 198, 241);
    border-radius: 3px;
    border: none;
    outline: none;
    /* color: #09BB94; */
    color: #E8E5E5;
    width: 100%;
}


.inputFromUser textarea {
    height: 90px;
}

.button {
    margin: 16px 0px 0px 0px;
    width: 108px;
    height: 30px;
    border-radius: 7px;
    cursor: pointer;
    outline: none;
    border: none;
    font-style: 'Poppins';
    color: #E8E5E5;
    background-color: rgb(23, 26, 35);
    font-size: 13px;
}

.button:hover {
    color: rgb(9, 187, 148);
    transition: 0.2s ease-in-out;
}

.main-class {
    display: none;
}

.Contact-Body {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100vh;
    background-color: gray;

    background: rgba(23, 26, 35, 0.65);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(14, 34, 80, 0.3);

    z-index: 50;
}

.Contact form {
    width: 30%;
    height: 100vh;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: left;
}

.Contact i {
    text-align: right;
    margin-bottom: 20px;
    color: #ffffff;
    cursor: pointer;
    font-size: 30px;
}

.Contact input {
    margin-bottom: 20px;
    padding: 10px;
    border: none;
    border-radius: 5px;
}

.Contact textarea {
    margin-bottom: 20px;
    padding: 10px;
    height: 100px;
    border: none;
    border-radius: 5px;
}


.Contact button {
    margin-bottom: 20px;
    padding: 12px;
    border: none;
    font-family: "Bricolage Grotesque";
    color: white;
    background-color: rgb(9, 187, 148);
    font-size: 16px;
    cursor: pointer;
    font-weight: 600;
    border-radius: 5px;
}

.names {
    display: flex;
    gap: 20px;
}

.names input {
    width: 50%;
}

.start--chat {
    font-size: 25px;
    font-weight: 900;
    margin: 0px;
    font-family: "Bricolage Grotesque";
    color: #f3f3f3;
}

.start--chat--intro {
    font-size: 16px;
    font-weight: 500;
    font-family: "Bricolage Grotesque";
    color: #f3f3f3;
}

.for-hamburger-better {
    position: relative;
    background: rgba(23, 26, 35, 0.95);
}

@media screen and (max-width: 1074px) {
    .Contact form {
        width: 50%;
    }
}

@media screen and (max-width: 600px) {
    .Contact form {
        width: 90%;
    }
}

@media screen and (max-width: 1217px) {
    .Projects img {
        height: 218px;
    }
}


@media screen and (max-width: 1177px) {
    ul li a {
        padding-left: 30px;
        text-decoration: none;
        font-family: "Roboto";
        font-style: normal;
        font-weight: 400;
        font-size: 15px;
        color: #FFFFFF;
    }
}


@media screen and (max-width: 1075px) {
    #navbar {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 94%;
    }

    .intro {
        display: flex;
        width: 85%;
    }

    .secondSection {
        width: 85%;
    }

    .services {
        width: 85%;
    }

    .projectSection {
        width: 85%;
    }

    .Projects img {
        height: 208px;
    }

    .testimonialSection {
        width: 85%;
    }

    .foot {
        width: 85%;
    }
}


@media screen and (max-width: 975px) {
    #logo img {
        height: 45.01px;
        width: 380.83px;
    }

    ul li a {
        padding-left: 21px;
        text-decoration: none;
        font-family: "Roboto";
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
    }

    .subHeading {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 600;
        font-size: 22px;
    }

    .name h1 {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 700;
        font-size: 28px;
    }

    .name p {
        font-size: 14px;
        color: #E8E5E5;
        margin-top: -37px;
        letter-spacing: 0.7px;
    }

    .para {
        width: 80%;
        font-size: 13.5px;
        line-height: 22px;
    }

    .followLinks h4 {
        font-size: 15px;
    }

    .who h3 {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 700;
        font-size: 17px;
    }

    .who p {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 400;
        line-height: 20px;
        font-size: 15px;
    }
}


@media screen and (max-width: 975px) {
    #logo img {
        height: 45.01px;
        width: 340.83px;
    }

    .subHeading {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 600;
        font-size: 21px;
    }

    .name h1 {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 700;
        font-size: 25px;
        margin-top: -18px;
    }

    .name p {
        font-size: 13px;
        color: #E8E5E5;
        margin-top: -37px;
        letter-spacing: 0.4px;
    }

    .intro {
        height: 500px;
    }

    .mainImg img {
        height: 301px;
    }

    .para {
        margin-top: 15px;
    }

    .btn {
        height: 32px;
        width: 124px;
        border-radius: 7px;
        background: #09BB94;
        cursor: pointer;
        border: none;
        margin-top: 12px;
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 400;
        font-size: 13px;
        line-height: 16px;
        color: #FFFFFF;
    }

    .who h3 {
        font-family: 'Poppins';
        font-style: normal;
        line-height: 19px;
        font-weight: 500;
        font-size: 17px;
    }

    .who h4 {
        font-weight: 600;
        font-size: 16px;
        margin-top: -22px;
    }

    .imgUBIT img {
        width: 350px;
        height: 170px;
    }

    .Projects img {
        height: 181px;
    }

    .colorBg {
        height: 170px;
        width: 32%;
        background: #20272F;
        border-radius: 12px;
        align-items: center;
        margin-right: 12px;
        justify-content: center;
        padding: 16px;
    }
}

@media screen and (max-width: 837px) {
    .burger {
        display: block;
        padding-bottom: 20px;
        width: 5%;
    }

    #navbar {
        display: flex;
        align-items: baseline;
    }

    #logo {
        width: 50%;
    }

    /* importsnt line use in js for making js logic */
    #nav-items {
        display: none;
        /* transition: 2s ease; */
    }


    #nav-items {
        position: absolute;
        z-index: 2;
        top: 85px;
        margin: auto;
        text-align: center;
        width: 94%;
    }

    #nav-items ul {
        display: flex;
        flex-direction: column;
    }

    #logo img {
        height: 53.01px;
        width: 382.83px;
    }


    .intro,
    .secondSection,
    .services,
    .projectSection,
    .testimonialSection,
    .foot {
        width: 90%;
    }

    .para {
        line-height: 19px;
    }

    .servicesBox p {
        padding: 9px;
        font-size: 12px;
        line-height: 16px;
    }

    .servicesBox {
        height: 265px;
        width: 33%;
    }

    .projectHeading p {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 300;
        width: 95%;
        margin: auto;
        font-size: 14px;
        line-height: 19px;
        color: #E8E5E5;
    }

    .Projects img {
        height: 181px;
        aspect-ratio: 5/2;
        object-fit: contain;
    }

    ul li {
        list-style: none;
        padding: 0px 0px 20px 0px;
    }

}

@media screen and (max-width: 750px) {
    .para {
        line-height: 19px;
        width: 94%;
    }

    .name p {
        font-size: 13px;
        color: #E8E5E5;
        margin-top: -33px;
    }

    .servicesBox p {
        padding: 5px;
        font-size: 10px;
        line-height: 14px;
    }

    .colorBg {
        height: 200px;
        width: 32%;
        background: #20272F;
        border-radius: 12px;
        align-items: center;
        margin-right: 7px;
        justify-content: center;
        padding: 15px;
    }

    .foot {
        flex-direction: column;
    }

    footer {
        height: auto;
        padding-bottom: 50px;
    }
}


@media screen and (max-width: 660px) {

    .intro,
    .secondSection,
    .services,
    .projectSection,
    .testimonialSection,
    .foot {
        width: 96%;
    }

    #navbar {
        width: 95%;
    }

    .intro {
        height: 566px;
    }

    .mainImg img {
        height: 301px;
        margin-bottom: 84px;
    }

    .para {
        line-height: 18px;
        width: 96%;
    }

    .btn {
        height: 30px;
        width: 115px;
        font-size: 12px;
    }

    .who h3 {
        font-family: 'Poppins';
        font-style: normal;
        line-height: 18px;
        font-weight: 500;
        font-size: 15px;
    }

    .who p {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 400;
        line-height: 18px;
        font-size: 12px;
    }

    .imgUBIT img {
        width: 281px;
        height: 145px;
    }

    .who h3 {
        font-family: 'Poppins';
        margin: -15px 0px;
    }

    .who h4 {
        font-weight: 600;
        font-size: 13px;
        margin-top: 11px;
    }

    .forMargin2 {
        margin-right: 0px;
        width: 100%;

    }
}

@media screen and (max-width: 660px) {
    .intro {
        height: 750px;
        flex-direction: column;
    }

    .Projects {
        width: 100%;
        margin: 7px 0px 7px 0px;
    }

    .Projects img {
        width: 100%;
        margin: auto;
        height: 284px;
    }

    .mainImg img {
        height: 301px;
        margin: 24px 0px;
    }

    .secondSection {
        margin-top: 50px;
        margin-bottom: 50px;
        flex-direction: column;
        align-self: baseline;
        height: auto;
        align-items: first baseline;
    }

    .who {
        width: 100%;
    }

    .imgUBIT {
        margin: auto;
        margin-top: 25px;
    }

    .serviceIntro {
        display: flex;
        flex-direction: column;
    }

    .servicesBox {
        height: 265px;
        width: 100%;
        margin: 0px auto 12px auto;
    }

    .projectHeading p {
        font-family: 'Poppins';
        font-style: normal;
        font-weight: 300;
        width: 98%;
        margin: auto;
        font-size: 12px;
        line-height: 17px;
        color: #E8E5E5;
    }

    .uiuxProjects {
        display: flex;
        flex-direction: column;
    }

    /* .Projects {
        width: 100%;
        margin: 12px 0px 12px 0px;
    } */

    .testimonialSection {
        margin: -10px auto 80px auto;
    }

    #TEstimonials {
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .colorBg {
        height: auto;
        width: 94%;
        margin-bottom: 12px;
    }
}

@media screen and (max-width: 480px) {
    #logo img {
        height: 37.01px;
        width: 263.83px;
        padding-top: 7px;
        margin-bottom: 9px;
    }

    .line {
        width: 21px;
        height: 3px;
        background-color: #E8E5E5;
        margin: 4px 0px;
    }



}

@media screen and (max-width: 420px) {
    .intro {
        height: auto;
    }

    .forMargin2 {
        margin-right: 7px;
    }

    .para {
        line-height: 18px;
        width: 100%;
    }

    .mainImg img {
        height: 340px;
    }
}


@media screen and (max-width: 343px) {
    #logo img {
        height: 33.01px;
        width: 234.83px;
    }
}